org.apache.ignite.spi.loadbalancing.weightedrandom

## Interface WeightedRandomLoadBalancingSpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

    @MXBeanDescription(value="MBean that provides access to weighted random load balancing SPI configuration.")
    public interface WeightedRandomLoadBalancingSpiMBean
    extends IgniteSpiManagementMBean

Management MBean for `WeightedRandomLoadBalancingSpi` SPI.

### Method Summary

Methods
`int` `getNodeWeight()` Gets weight of this node.
`boolean` `isUseWeights()` Checks whether node weights are considered when doing random load balancing.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### isUseWeights

    @MXBeanDescription(value="Whether node weights are considered when doing random load balancing.")
    boolean isUseWeights()

Checks whether node weights are considered when doing random load balancing.

Returns:
  If `true` then random load is distributed according to node weights.

#### getNodeWeight

    @MXBeanDescription(value="Weight of this node.")
    int getNodeWeight()

Gets weight of this node.

Returns:
  Weight of this node.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017